; =============================================================
; Ini file for WinErs
; =============================================================
;
; Version:  7.0.A
; Date:     08.09.2019
; Copyright (c) 1998-2015 Ingenieurbuero Dr.-Ing. Schoop GmbH
; =============================================================
;
; This is a sample Ini-file to extend the WinErs/RPWin
; menu. 
;
; The Ini file must be placed in the installation directory
; of WinErs/RPWin and must be named like the main executable file. That
; means winers32.ini respectivly rpwin32.ini.
;
; The additional menu items are placed on the "Extra" sub menu
; or the "Options" sub menu of WinErs/RPWin. If both sub menus are not
; present, no items are added to the main menu.
;
; Syntax:
; =======
; Menu extension must be placed in the [Menu] section.
; An entry in the menu section has the form
;
; =============================================================
; Menu section
; =============================================================
;
; <Command Id>=<Menu text>,<Command>[,<Command line>]
; ---------------------------------------------------
;
; "Command Id"  must be an integer value from 30000 to 32767.
;               Command id's must be unique.
; "Menu text"   is the text of the menu item. An ampersand (&) 
;               before a letter designates a mnemonic key.
; "Command"     is the file name of the program to start or the
;               document to open.
; "Command line"Describes optional command line parameters, wich
;               are passed to the executable program (!).
;
; Entries maybe quoted with ' oder " characters, e.g.
;       30000="&Calculator","calc.exe"
;
;
; DeleteMenuItem<n>=<Id>
; ----------------------
;
; "Id"      The menu item id to delete from the menu
;           The menu item id's can be seen, if you call "Customize toolbar" with a 
;           pressed SHIFT key.
; "n"       Any unique number to distinguish DeleteMenuItemXXX entries.
;
; =============================================================
; BlockToolbox section
; =============================================================
;
; DeleteToolItem<n>=<Id>
; ----------------------
;
; "Id"      The toolbox item id to delete from block structure toolbox
;           Value corresponds to Active-X enumeration weBSItemType.
; "n"       Any unique number to distinguish DeleteMenuItemXXX entries.
;
;
; =============================================================
; PDToolbox section
; =============================================================
;
; DeleteToolItem<n>=<Id>
; ----------------------
;
; "Id"      The toolbox item id to delete from process display toolbox
;           Value corresponds to Active-X enumeration wePDItemType.
; "n"       Any unique number to distinguish DeleteMenuItemXXX entries.
;
; WindowIcon=<Icon-Path>
; ----------------------
;
; "Icon-Path" The full qualified file name of the icon file.
;             The path may include meta descriptor $INSTALL for 
;	      the installation directory.
;
; =============================================================
; ProtocolToolbox section
; =============================================================
;
; DeleteToolItem<n>=<Id>
; ----------------------
;
; "Id"      The toolbox item id to delete from protocol template toolbox
;           Value corresponds to Active-X enumeration wePDItemType.
; "n"       Any unique number to distinguish DeleteMenuItemXXX entries.
;
; =============================================================
; Holiday section
; =============================================================
;
; The holiday section can include public or religeous holiddays.
;
; <Holiday Name>=[Day.Mon]|[Ez]|[Az]|[@n#s]|[Sz]|[S#s]|[Tz]|[T#s]
;
;   Day.Mon:	Day and month of a fixed holiday, day=1...31,mon=1..12
;   Ez:		Moveable holiday relative to easter sunday. z is the different (neg. or pos.) in days.
;   Az:		Moveable holiday relative to 1. advent. z is the different (neg. or pos.) in days.
;   @n#s	Moveable holiday: The s-th sunday in month n.
;   Sz 	        Moveable holiday: z days after (before if z neg.) beginning of spring.
;   Tz 	        Moveable holiday: z days after (before if z neg.) beginning of autum.
;   S#s	        Moveable holiday: s-th sunday after beginnig of spring.
;   T#s	        Moveable holiday: s-th sunday after beginnig of autum.
; e.g. "New Year=1.1"
; e.g. "Good friday=E-2"
; e.g. "Day of Prayer and Repentance=A-11"
; e.g. "Mothers day=@5#2; second sunday in may"
; e.g. "Harvest festival=@10#1; first sunday in october"
;
; =============================================================
; ActivePlugins section
; =============================================================
;
; This section can be used to disable plugins.
; By default all plugins from the PLUGIN directory are loaded at startup.
;
; <Plugin name>=0
;
;   Disables the plugin "Plugin name". The plugin name must be specified including the file extension.
;
; <Plugin name>=<Computer name>
;
;   Enables the plugin "Plugin name" only on machine <Computer name>.
;
; A semicolon ; indicates a comment line.
;
; This section can be used to disable plugins.
; By default all plugins from the PLUGIN directory are loaded at startup.
;
; =============================================================
; Extensions section
; =============================================================
;
; This section can be used to enable or disable normaly hidden WinErs extenstions.
;
; PDBlockEditor = 1
;
;    Enables (1) or disable (0) Blockstructure editor in process displays (graphic window, links).
;
; AllowPDManagementReset = 1 or 0
;
;    Enables (1) or disable (0) process display links for restting managements / administrations 
;    (alarm, protocol, logbook etc.).
;
;
; PneumaticEditorTabs = 7, 6, 5, 3, 2 or 1
;
;    7 = Enable all toolbox tabs (default)
;    6 = Enable electro and extra toolbox tabs
;    5 = Enable pneumatic and extra toolbox tabs
;    3 = Enable pneumatic and electro toolbox tabs
;    2 = Enable electro toolbox tab only
;    1 = Enable pneumatic toolbox tab only

;
; =============================================================
; Defauls section
; =============================================================
;
; This section can be used set several default values, shipped with WinErs, beside the Windows Registry.
;
; AutoGateMinCount = 2...32767 (default = 10)
;
;    Sets the mininum required input changes of gate time differential block in auto mode.
;    New value are applied on compilation of block structures.
;	
; =============================================================

[Menu]
;30000=Archivierung,rundll32.exe D:\ersism\plugin\Arcndel.dll,ExternStart
;30001=&Editor,notepad.exe

[BlockToolbox]
;DeleteToolItem1=99

[ProtocolToolbox]
;DeleteToolItem1=99

[PDToolbox]
;DeleteToolItem1=99
;WindowIcon= $INSTALL\bitmap\hcimcs.ico

[Extensions]
PDBlockEditor=1
AllowPDManagementReset=1
EnableForcing=1
PneumaticEditorTabs=7

[Defaults]
AutoGateMinCount=8

[ActivePlugins]
;ExclProt.dll=0
;SignalCheckList.dll=0

[Holidays]
; (D) German (Germany, Austria, Switzerland)
;===========================================
Neujahr=1.1
Maifeiertag=1.5					; Not in switzerland
Tag der deutschen Einheit=3.10	; Only in germany
1. Weihnachtstag=25.12
2. Weihnachtstag=26.12
Karfreitag=E-2
Ostersonntag=E+0
Ostermontag=E+1
Christi Himmelfahrt=E+39
Pfingstmontag=E+50			
;Hl. Drei Könige=6.1			; Only in some federal states
;Mariä Himmelfahrt=15.8			; Only in some federal states
;Reformationstag=31.10			; Only in some federal states
;Aller Heiligen=1.11			; Only in some federal states
;Fronleichnam=E+60				; Only in some federal states
;Buß- und Bettag=A-11			; Only in some federal states
;Nationalfeiertag=26.10			; Only in austria

; (GB) English (United Kingdom)
;==============================
;New Year=1.1
;May day=1.5
;1. Chrismas day=25.12
;2. Chrismas day=26.12
;Good friday=E-2
;Easter sunday=E+0
;Easter monday=E+1
;Ascension Day=E+39
;Whitsunday=E+49
;Whit monday=E+50
;Corpus Christi=E+60		
;Day of Prayer and Repentance=A-11		

; (US) English (USA)
; ==================
;New Year=1.1
;May day=1.5
;1. Chrismas day=25.12
;2. Chrismas day=26.12
;Good friday=E-2
;Easter sunday=E+0
;Easter monday=E+1
;Ascension Day=E+39
;Whitsunday=E+49
;Whit monday=E+50
;Corpus Christi=E+60		
;Day of Prayer and Repentance=A-11		
;Independence day=4.7
;Halloween=31.10

; (F) France
; ==========
;National holiday=14.7

;--------------------------------------- EOF ---------------------------------------
[General]
UNICODE=АБВГДЕЖ
АБВГДЕЖ=αβγδεζη
